@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

body {
  background-color: #d1d1d1;
  font-family: Roboto, Arial, Verdana, sans-serif;
}

h1 {
  text-align: center;
}
table {
  width: 100%;
  margin: 0 auto;
  padding: 10px;
  border-collapse: collapse;
}

thead tr th {
  background-color: lightblue;
  text-align: left;
  padding: 5px;
}

td {
  padding: 5px;
}

tr[class="read"] {
  background-image: linear-gradient(#cdeb8b, #91e842);
}

tr[class="in-progress"] {
  background-image: linear-gradient(#fefcea, #f1da36)
}

tr[class="to-read"] {
  background-image: linear-gradient(#f3c5bd, #ea2803);
}

span {
  display: inline-block;
}

tr[class="read"] span[class="status"] {
  border: 3px solid black;
  background-image: linear-gradient(#cdeb8e, #a5c956);
}

tr[class="in-progress"] span[class="status"] {
  border: 3px solid black;
  background-image: linear-gradient(#ffd65e, #febf04);
}

tr[class="to-read"] span[class="status"] {
  border: 3px solid black;
  background-image: linear-gradient(#febbbb, #fe9090);
}

span[class="status"], span[class^="rate"] {
  height: 3em;
  width: 6em;
  line-height: 3em;
  padding: 5px;
  text-align: center;
}

span[class^="rate"] > span {
  border: 3px solid black;
  border-radius: 10px;
  margin: 0 auto;
  width: 10px;
  height: 10px;
  background-color: #fff;
}

span[class~="one"] span:nth-child(1) {
  background-image: linear-gradient(white,green);
}

span[class~="two"] span:nth-child(1), span[class~="two"] span:nth-child(2) {
  background-image: linear-gradient(white,green);
}

span[class~="three"] > span {
  background-image: linear-gradient(white,green);
}
